POST/shop

Create Shop

Create Shop

Implementation Notes

This endpoint allows you to create a shop, specifying a combination of market, websiteCode, and horizon. The maximum value for horizon is 365 days, and at least one of horizon, horizonExpression, or horizonRange must be provided.

Parameters:

  • name: Name of the shop.
  • horizon: Number of future days from today to retrieve rates.
  • horizonExpression: Custom days in the future. E.g., 2-10,15,20-25. Negative values, repeated values, overlapping values, and ranges where start is not less than end are rejected.
  • horizonRange: Specific future dates or date ranges in YYYY/MM/DD format. E.g., 2026/08/18,2026/08/20-2026/08/25. Past dates, duplicate dates, and overlapping ranges are rejected.
  • market: City name. (Market should be defined as it is listed in the Post/market endpoint results)
  • websiteCode: The website code to be included in the shop.
  • shopType: 1-lar, 2-bar, 3-(lar & bar)
  • destId: Destination ID. (Destination ID should be defined as it is listed in the Post/market endpoint results)
  • destType: Destination type. (Destination type should be defined as it is listed in the Post/market endpoint results)
  • city: Name of the city.

Mandatory Fields:

  • name, market, websiteCode, shopType, destId, destType
  • At least one of: horizon, horizonExpression, or horizonRange

Examples:


{ "name": "Test Shop", "horizon": 3, "horizonExpression": "", "horizonRange": "", "market": "Hendon, Greater London, United Kingdom", "websiteCode": 2, "shopType": 1, "destId": "-2598506", "destType": "CITY", "city": "" }


{ "name": "Test Shop", "horizon": 0, "horizonExpression": "0-5", "horizonRange": "", "market": "Hendon, Greater London, United Kingdom", "websiteCode": 2, "shopType": 1, "destId": "-2598506", "destType": "CITY", "city": "" }


{ "name": "US Shop", "horizon": 0, "horizonExpression": "", "horizonRange": "2026/12/18,2026/12/20-2026/12/25", "market": "Hendon, Greater London, United Kingdom", "websiteCode": 2, "shopType": 1, "destId": "-2598506", "destType": "CITY", "city": "New York" }

POST/shop

Parameter Details

NameInTypeRequiredDescription
bodybodyobjectRequirednone
» namebodystringRequirednone
» horizonbodynumberOptionalnone
» horizonExpressionbodystringOptionalnone
» horizonRangebodystringOptionalnone
» marketbodystringRequirednone
» websiteCodebodynumberRequirednone
» shopTypebodynumberRequirednone
» destIdbodystringRequirednone
» destTypebodystringRequirednone
» citybodystringOptionalnone

Responses

StatusMeaningDescriptionSchema
201CreatedShop Created Successfully
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity ExpiredNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /shop \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

201 Response
{
"name": "Test Shop",
"horizon": 3,
"horizonExpression": "",
"horizonRange": "",
"market": "Hendon, Greater London, United Kingdom",
"websiteCode": 2,
"shopType": 1,
"destId": "-2598506",
"destType": "CITY",
"city": ""
}

Body parameter

{
  "name": "string",
  "horizon": 365,
  "horizonExpression": "",
  "horizonRange": "",
  "market": "string",
  "websiteCode": 0,
  "shopType": 0,
  "destId": "string",
  "destType": "string",
  "city": ""
}

Example responses

201 Response
{
  "message": "Shop Created Successfully",
  "shopId": 0
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.